/**
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * Contact Information:<br>
 * BitCtrl Systems GmbH<br>
 * Wei&szlig;enfelser Stra&szlig;e 67<br>
 * 04229 Leipzig<br>
 * Phone: +49 341-490670<br>
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.aktuell;

import java.util.logging.Level;
import java.util.logging.Logger;

import de.bsvrz.dav.daf.main.ClientDavConnection;
import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.sys.funclib.application.StandardApplication;
import de.bsvrz.sys.funclib.application.StandardApplicationRunner;
import de.bsvrz.sys.funclib.commandLineArgs.ArgumentList;

/**
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: TestAK.java 10462 2008-07-10 17:28:31Z gieseler $
 * 
 */
public class TestAK implements StandardApplication {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Thread
				.setDefaultUncaughtExceptionHandler(new Thread.UncaughtExceptionHandler() {

					public void uncaughtException(Thread t, Throwable e) {
						Logger.getLogger(getClass().getName()).log(Level.INFO,
								"*** Application wird beendet ***", e); //$NON-NLS-1$
					}

				});

		StandardApplicationRunner.run(new TestAK(), args);
	}

	/*
	 * (Kein Javadoc)
	 * 
	 * @see sys.funclib.application.StandardApplication#initialize(stauma.dav.clientside.ClientDavInterface)
	 */
	public void initialize(ClientDavInterface connection) throws Exception {
		SINAktuelleKonfiguration ak = new SINAktuelleKonfiguration();

		ak.initialisiere((ClientDavConnection) connection, "kb.sin");

		connection.disconnect(false, "");
	}

	/*
	 * (Kein Javadoc)
	 * 
	 * @see sys.funclib.application.StandardApplication#parseArguments(sys.funclib.ArgumentList)
	 */
	public void parseArguments(ArgumentList argumentList) throws Exception {
		// TODO Automatisch erstellter Methoden-Stub

	}

}
