/**
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * Contact Information:<br>
 * BitCtrl Systems GmbH<br>
 * Wei&szlig;enfelser Stra&szlig;e 67<br>
 * 04229 Leipzig<br>
 * Phone: +49 341-490670<br>
 * mailto: info@bitctrl.de
 */

package org.geotools.xml.wfs;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.logging.Logger;

import org.geotools.xml.schema.AttributeGroup;
import org.geotools.xml.schema.Schema;

/**
 * @author BitCtrl Systems GmbH, Gieseler
 * @version
 *
 */
public class OKSTRA_WFSSchema1 extends WFSSchema {
    private static Schema instance = new OKSTRA_WFSSchema();

	 /** WFS target namespace */
    public static URI NAMESPACE = makeURI("http://schema.okstra.de/1009/okstra");
    
    /**
     * @see org.geotools.xml.schema.Schema#getPrefix()
     */
    public String getPrefix() {
        return "okstra";
    }
    
    /**
     * @see org.geotools.xml.schema.Schema#getTargetNamespace()
     */
    public URI getTargetNamespace() {
        return NAMESPACE;
    }
    
    // convinience method to deal with the URISyntaxException
    private static URI makeURI(String s) {
        try {
            return new URI(s);
        } catch (URISyntaxException e) {
            // do nothing
            return null;
        }
    }

    /**
     * @see org.geotools.xml.schema.Schema#getInstance()
     */
    public static Schema getInstance() {
        return instance;
    }
    
    /**
     * @see org.geotools.xml.schema.Schema#getURI()
     */
    public URI getURI() {
        try {
            return new URI("http://schema.okstra.de/1009/okstra");
        } catch (URISyntaxException e) {
            logger.warning(e.toString());

            return null;
        }
    }

//    /**
//     * @see org.geotools.xml.schema.Schema#getImports()
//     */
//    public Schema[] getImports() {
//        return new Schema[] { GMLSchema.getInstance(), FilterSchema.getInstance() };
//    }
    
}
